<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Block definition class for the block_pluginname plugin.
 *
 * @package   block_pluginname
 * @copyright Year, You Name <your@email.address>
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

class block_auth_managment_meta extends block_base {

    /**
     * Initialises the block.
     *
     * @return void
     */
    public function init() {
        $this->title = get_string('pluginname', 'block_auth_managment_meta');
    }

    /**
     * Gets the block contents.
     *
     * @return string The block HTML.
     */
    public function get_content() {
        global $USER, $DB;
        $link_img_base='../blocks/auth_managment_meta/pix/';
        echo '<style>';
        include 'styles/main.css';
        echo '</style>';
        if ($this->content !== null) {
            return $this->content;
        }
        $this->content =  new stdClass;
        /**
         * Verifica si es admin
         */
        $isAdmin = is_siteadmin();
         /**
         * Verificar si es docente 
         */
        $roleid = $DB->get_field('role', 'id', ['shortname' => 'editingteacher']);
        $iseditingteacheranywhere = $DB->record_exists('role_assignments', ['userid' => $USER->id, 'roleid' => $roleid]);

        $roleidteacher = $DB->get_field('role', 'id', ['shortname' => 'teacher']);
        $isteacheranywhere = $DB->record_exists('role_assignments', ['userid' => $USER->id, 'roleid' => $roleidteacher]);
        
        /**
         * if para verificar si es docente 
         * if($iseditingteacheranywhere || $isteacheranywhere) 
         */

        //Contenedor del menu y el logo 
        

        // $contextblock = context_block::instance($this->instance->id);
        $this->content->text .= html_writer::start_tag('div',['class'=>'auth-managment-container d-flex flex-column justify-content-between']);
        if (($iseditingteacheranywhere || $isteacheranywhere) || $isAdmin) {

            $this->content->text .= html_writer::start_tag('div');
            
            //Nombre del perfil de la personal
            if($isAdmin){
                $this->content->text .= html_writer::start_tag('h4',['class'=>'text-center']);
                $this->content->text .= 'Menú Administrador';
                $this->content->text .= html_writer::end_tag('h4');
            }else{
                $this->content->text .= html_writer::start_tag('h4',['class'=>'text-center']);
                $this->content->text .= 'Menú Profesor';
                $this->content->text .= html_writer::end_tag('h4');
            }

            //lista de servicios dependiendo de cada rol
            $this->content->text .= html_writer::start_tag('ul',['class'=>'auth-managment_item-menu']);
            
            $this->content->text .= html_writer::start_tag('li');
            $this->content->text .= html_writer::start_tag('a', ['href'=>$this->config->course,'class'=>'','target'=>'_blank']);
            //icono
            $this->content->text .= html_writer::empty_tag('img', array('src' => $link_img_base.'medalstar.svg', 'class' => ''));
            $this->content->text .= 'Crear curso';
            $this->content->text .= html_writer::end_tag('a');
            $this->content->text .= html_writer::end_tag('li');

            if(!$iseditingteacheranywhere || $isAdmin){
                $this->content->text .= html_writer::start_tag('li');
                $this->content->text .= html_writer::start_tag('a', ['href'=>$this->config->inventarios,'class'=>'','target'=>'_blank']);
                //icono
                $this->content->text .= html_writer::empty_tag('img', array('src' => $link_img_base.'boxtick.svg', 'class' => ''));
                $this->content->text .= 'Plataforma de inventario';
                $this->content->text .= html_writer::end_tag('a');
                $this->content->text .= html_writer::end_tag('li');
            }
            
            $this->content->text .= html_writer::start_tag('li');
            $this->content->text .= html_writer::start_tag('a', ['href'=>$this->config->informacion,'class'=>'','target'=>'_blank']);
            //icono
            $this->content->text .= html_writer::empty_tag('img', array('src' => $link_img_base.'folder2.svg', 'class' => ''));
            $this->content->text .= 'Sistema de información';
            $this->content->text .= html_writer::end_tag('a');
            $this->content->text .= html_writer::end_tag('li');

            if(!$iseditingteacheranywhere || $isAdmin){
            $this->content->text .= html_writer::start_tag('li');
            $this->content->text .= html_writer::start_tag('a', ['href'=>$this->config->usuarios,'class'=>'','target'=>'_blank']);
            //icono
            $this->content->text .= html_writer::empty_tag('img', array('src' => $link_img_base.'profile2user.svg', 'class' => ''));
            $this->content->text .= 'Gestión de usuarios';
            $this->content->text .= html_writer::end_tag('a');
            $this->content->text .= html_writer::end_tag('li');

            $this->content->text .= html_writer::start_tag('li');
            $this->content->text .= html_writer::start_tag('a', ['href'=>$this->config->informes,'class'=>'','target'=>'_blank']);
            //icono
            $this->content->text .= html_writer::empty_tag('img', array('src' => $link_img_base.'chart.svg', 'class' => ''));
            $this->content->text .= 'Sistema de matriculación';
            $this->content->text .= html_writer::end_tag('a');
            $this->content->text .= html_writer::end_tag('li');
            }

            $this->content->text .= html_writer::start_tag('li');
            $this->content->text .= html_writer::start_tag('a', ['href'=>$this->config->problemas,'class'=>'','target'=>'_blank']);
            //icono
            $this->content->text .= html_writer::empty_tag('img', array('src' => $link_img_base.'flag.svg', 'class' => ''));
            $this->content->text .= 'Acceso a mesa de ayuda';
            $this->content->text .= html_writer::end_tag('a');
            $this->content->text .= html_writer::end_tag('li');

            $this->content->text .= html_writer::end_tag('ul');

            $this->content->text .= html_writer::end_tag('div');
        }else{
            $this->content->text .= html_writer::start_tag('div');

            //Nombre del perfil de la personal
            $this->content->text .= html_writer::start_tag('h4',['class'=>'text-center']);
            $this->content->text .= 'Menú Estudiante';
            $this->content->text .= html_writer::end_tag('h4');
            
            //lista de servicios dependiendo de cada rol
            $this->content->text .= html_writer::start_tag('ul',['class'=>'auth-managment_item-menu']);
            $this->content->text .= html_writer::start_tag('li');
            $this->content->text .= html_writer::start_tag('a', ['href'=>$this->config->problemas,'class'=>'','target'=>'_blank']);
            //icono
            $this->content->text .= html_writer::empty_tag('img', array('src' => $link_img_base.'flag.svg', 'class' => ''));
            $this->content->text .= 'Acceso a mesa de ayuda';
            $this->content->text .= html_writer::end_tag('a');
            $this->content->text .= html_writer::end_tag('li');
            $this->content->text .= html_writer::end_tag('ul');

            $this->content->text .= html_writer::end_tag('div');


        }

        $this->content->text .= html_writer::start_tag('div',['class'=>'text-center']);
        $this->content->text .= html_writer::empty_tag('img', array('src' => $link_img_base.'logo.svg', 'class' => 'w-100 mt-2'));
        $this->content->text .= html_writer::end_tag('div');


        
        $this->content->text .= html_writer::end_tag('div');

        


        return $this->content;
    }

    /**
     * Defines in which pages this block can be added.
     *
     * @return array of the pages where the block can be added.
     */
    public function applicable_formats() {
        return [
            'admin' => false,
            'site-index' => false,
            'course-view' => false,
            'mod' => false,
            'my' => true,
        ];
    }

    public function instance_allow_multiple() {
        return true;
    }

    public function hide_header() {
        return true;
    }
}